## Index

### Classes

- AtomBinder

### Interfaces

- IWatchFunctionCollection
- IWatchableObject

### Type aliases

- WatchFunction

### Variables

- symbolBindable
- symbolHandlers

## Type aliases

### WatchFunction

WatchFunction: function

- Defined in src/core/AtomBinder.ts:6

#### Type declaration

- - (target: any, key: string, index?: number, item?: any): void

  - #### Parameters

    - ##### target: any

    - ##### key: string

    - ##### Optional index: number

    - ##### Optional item: any

    #### Returns void

## Variables

### Const symbolBindable

symbolBindable: unique symbol = Symbol.for("bindable")

- Defined in src/core/AtomBinder.ts:4

### Const symbolHandlers

symbolHandlers: unique symbol = Symbol.for("handlers")

- Defined in src/core/AtomBinder.ts:3

Generated using TypeDoc